* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  text-decoration: none;
  list-style: none;
  font-family: "Beiruti";
}

html {
  scroll-behavior: smooth;
}

:root {
  --main-color: #41b0ff;
  --second-color: black;
}

section {
  width: 100%;
  min-height: 60vh;
  overflow: hidden;
  margin: 5rem 0;
}

body {
  background-color: rgb(248, 249, 250);
}

.container {
  padding-left: 15px;
  padding-right: 15px;
  margin-left: auto;
  margin-right: auto;
  overflow: hidden;
}
/* Small */
@media (min-width: 768px) {
  .container {
    width: 750px;
  }
}
/* Medium */
@media (min-width: 992px) {
  .container {
    width: 970px;
  }
}
/* Large */
@media (min-width: 1200px) {
  .container {
    width: 1170px;
  }
}

/* start header  */
header {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1000;
  background-color: white;
  transition: 0.5s;
  box-shadow: 20px 20px 100px #d0d0d0, -20px -20px 100px #f0f0f0;
  .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    text-transform: capitalize;

    .logo {
      display: flex;
      align-items: center;
      justify-content: center;
      height: 85px;

      img {
        width: 200px;
      }
    }
    ul {
      display: flex;
      gap: 2rem;
      li {
        a {
          color: var(--second-color);
          transition: 0.5s;
          font-size: 21px;

          &:hover {
            color: var(--main-color);
          }
        }
      }
    }
    .bars {
      display: none;
    }
  }
}

/* start Home  */
#home {
  .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;

    .info {
      text-align: center;
      h1 {
        color: var(--main-color);
        font-size: 2rem;
        text-transform: capitalize;
      }

      button {
        background-color: var(--main-color);
        border: none;
        outline: none;
        padding: 10px 25px;
        margin-top: 25px;

        a {
          color: white;
          font-size: 22px;
        }
      }
    }

    .whatsApp {
      position: absolute;
      background-color: var(--main-color);
      z-index: 9999;
      width: 50px;
      height: 50px;
      border-radius: 50%;
      position: fixed;
      bottom: 20px;
      right: 25px;
      cursor: pointer;
      color: white;
      font-size: 20px;
      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 35px;
    }

    img {
      width: 650px;
    }
  }
}

/* start About */
#about {
  .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;

    .info {
      width: 400px;

      h1 {
        margin-bottom: 1.5rem;
        position: relative;
        font-size: 2.5rem;
        span {
          color: var(--main-color);
          position: absolute;
          bottom: -10px;
          padding: 0 5px;
        }
      }

      p {
        font-weight: bold;
        line-height: 1.5;

        font-size: 19px;
      }
    }

    img {
      width: 650px;
    }
  }
}

/* start services  */
#services {
  .title {
    text-align: center;
    font-size: 2.5rem;
    text-transform: capitalize;
    padding-bottom: 3rem;

    span {
      color: var(--main-color);
    }
  }
  .container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 2rem;

    .service {
      width: 270px;
      height: 100px;
      border-radius: 5px;
      background-color: #eee;
      padding: 20px;
      position: relative;

      &::after {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        border-top-right-radius: 5px;
        background-color: var(--main-color);
        width: 15px;
        height: 15px;
      }

      h1 {
        direction: rtl;
        padding-bottom: 10px;
        font-size: 20px;
      }
      span {
        color: var(--main-color);
        direction: ltr;
        font-weight: bold;
        font-size: 20px;
      }
    }
  }
}

/* start featured */
#featured {
  > .title {
    text-align: center;
    font-size: 2.5rem;
    text-transform: capitalize;
    padding-bottom: 3rem;

    span {
      color: var(--main-color);
    }
  }
  .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 2rem;

    .feature {
      max-width: 300px;
      padding: 15px;
      text-align: center;
      background-color: #eee;
      height: 200px;
      border-radius: 5px;

      h2 {
        background-color: var(--main-color);
        margin-bottom: 15px;
      }

      img {
        width: 100%;
      }
    }
  }
}

footer .certificates img {
  width: 30px !important;
  height: auto;
  object-fit: contain;
}


/* start guide  */
#guide {
  margin: 3rem 0;
  .title {
    text-align: center;
    font-size: 2.5rem;
    text-transform: capitalize;
    padding-bottom: 3rem;

    span {
      color: var(--main-color);
    }
  }
  .container {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    flex-wrap: wrap;
    gap: 1rem;

    .box {
      background-color: #eee;
      width: 300px;
      height: 300px;
      padding: 20px;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      border-radius: 10px;
      position: relative;

      .info {
        h1 {
          font-size: 1.5rem;
          padding: 1rem 0 0;
        }

        p {
          color: var(--main-color);
          font-weight: bold;
          text-align: center;
          font-size: 21px;
        }
      }

      img {
        width: 300px;
      }
    }
  }
}

.half-size {
  width: 50%;
  height: auto;
  display: block;
}


/* start contact  */
.contact {
  .title {
    text-align: center;
    font-size: 2.5rem;
    text-transform: capitalize;
    padding-bottom: 3rem;

    span {
      color: var(--main-color);
    }
  }
  .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;

    img {
      width: 650px;
    }
    .info {
      text-align: center;
      h1 {
        font-size: 2rem;
        text-transform: capitalize;
        color: var(--main-color);
        padding-bottom: 1rem;
      }

      .contact-info {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 1rem;
        text-align: center;

        > div {
          span {
            color: var(--main-color);
            font-size: 2rem;
          }
        }

        div {
          a {
            color: black;
            font-weight: bold;
            font-size: 2rem;
            transition: 0.5s;
            padding-left: 5px;

            &:hover {
              color: var(--main-color);
            }
          }
        }
      }
    }
  }
}
/* start footer  */
footer {
  background-color: #eee;
  .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 2rem;

    div {
      ul {
        li {
          padding: 5px 0;
          transition: 0.5s;

          a {
            font-size: 22px;
            text-transform: capitalize;
            color: var(--second-color);
            font-weight: bold;
            transition: 0.5s;
          }

          &:hover {
            padding-left: 15px;
            a {
              color: var(--main-color);
            }
          }
        }
      }

      img {
        width: 70px;
      }

      &.links {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 2rem;

        a {
          font-size: 2rem;
        }
      }
    }
  }
  .rights {
    text-align: center;
    font-weight: bold;
    font-size: 22px;
    padding-bottom: 15px;

    span {
      a {
        color: var(--main-color);
      }
    }
  }
}

.documents {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

.documents img {
  width: 30px;
  height: auto;
}

.licenses {
  display: flex;
  gap: 10px;
  align-items: center;
}

.licenses img {
  width: 30px;
  height: auto;
  cursor: pointer;
}



@media (max-width: 768px) {
  header {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
    background-color: white;
    transition: 0.5s;
    .container {
      .logo {
        img {
          width: 150px;
        }
      }
      ul {
        position: absolute;
        top: 100%;
        flex-direction: column;
        background-color: rgba(61, 61, 61, 95%);
        width: 100%;
        height: 100vh;
        left: -50rem;
        padding: 15px;
        transition: 0.5s;
        text-align: center;
        justify-content: center;
        gap: 5rem;

        li {
          a {
            color: white;
          }
        }
      }

      .bars {
        display: block;
        font-size: 25px;
      }
    }
  }

  #home {
    margin: 5rem 0 1rem;
    .container {
      text-align: center;
      justify-content: center;

      .image {
        img {
          width: 300px;
        }
      }
    }
  }

  #about {
    margin: 0 0 2rem;
    .container {
      text-align: center;
      justify-content: center;

      .info {
        div {
          margin: 2rem 0;
        }
      }

      .image {
        img {
          width: 300px;
        }
      }
    }
  }

  #services {
    margin: 3rem 0;
  }

  #featured {
    margin: 3rem 0;
    .container {
      justify-content: center;
    }
  }

  .contact {
    .title {
      text-align: center;
      font-size: 2.5rem;
      text-transform: capitalize;
      padding-bottom: 3rem;

      span {
        color: var(--main-color);
      }
    }
    .container {
      justify-content: center;
      gap: 25px;

      img {
        width: 300px;
      }
      .info {
        .contact-info {
          > div {
            span {
              color: var(--main-color);
              font-size: 1.5rem;
            }
          }

          div {
            a {
              font-size: 1.5rem;
            }
          }
        }
      }
    }
  }

  footer {
    .container {
      justify-content: center;
      gap: 1rem;
      text-align: center;

      div {
        ul {
          li {
            &:hover {
              padding-left: 0;
              a {
                color: var(--main-color);
              }
            }
          }
        }
      }
    }
  }
}
@media (max-width: 1199px) {
  #home {
    .container {
      justify-content: space-evenly;
      gap: 1rem;
      img {
        width: 450px;
      }
    }
  }

  #about {
    .container {
      justify-content: center;
      gap: 3rem;

      img {
        width: 550px;
      }

      .info {
        width: 100%;
        p {
          font-size: 22px;
        }
      }
    }
  }
}
